Bug 1008919 - Parentheses rendered in wrong positon when adding a keyboard layout during an Arabic installation
Parentheses rendered in wrong positon when adding a keyboard layout during an...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-17 06:45 EDT by Mike FABIAN
Modified: 2015-06-29 08:23 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:23:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
parentheses-rendered-in-wrong-position-when-adding-keyboard-in-arabic-installation.png (101.77 KB, image/png)
2013-09-17 06:45 EDT, Mike FABIAN
no flags Details
parentheses-comparison.png (187.51 KB, image/png)
2013-09-17 09:21 EDT, Mike FABIAN
no flags Details
more-wrong-parentheses-in-arabic-installation.png (132.07 KB, image/png)
2013-09-17 10:29 EDT, Mike FABIAN
no flags Details

  None (edit)
Description Mike FABIAN 2013-09-17 06:45:13 EDT
Created attachment 798743 [details]
parentheses-rendered-in-wrong-position-when-adding-keyboard-in-arabic-installation.png

I install Fedora-20-Alpha-x86_64-netinst.iso (RC3)

When adding keyboard layouts, the list shows:

((English (US) ARABICTEXTHERE

The first ( should be at the end of the string like:

(English (US) ARABICTEXTHERE)

See screenshot.
Comment 1 Mike FABIAN 2013-09-17 09:20:16 EDT
(In reply to Mike FABIAN from comment #0)
> Created attachment 798743 [details]
> parentheses-rendered-in-wrong-position-when-adding-keyboard-in-arabic-
> installation.png
> 
> I install Fedora-20-Alpha-x86_64-netinst.iso (RC3)
> 
> When adding keyboard layouts, the list shows:
> 
> ((English (US) ARABICTEXTHERE
> 
> The first ( should be at the end of the string like:
> 
> (English (US) ARABICTEXTHERE)

Actually like this:

(English (US)) CIBARA

I’ll add a new  screenshot ...
Comment 2 Mike FABIAN 2013-09-17 09:21:24 EDT
Created attachment 798817 [details]
parentheses-comparison.png
Comment 3 Mike FABIAN 2013-09-17 09:31:31 EDT
This seems to be the string:

الإنجليزية (English (US))

According to the Unicode Bidi algorithm, it is reordered like this:

http://unicode.org/cldr/utility/bidi.jsp?a=%D8%A7%D9%84%D8%A5%D9%86%D8%AC%D9%84%D9%8A%D8%B2%D9%8A%D8%A9+%28English+%28US%29%29&p=Auto
Comment 4 Mike FABIAN 2013-09-17 10:29:08 EDT
Created attachment 798844 [details]
more-wrong-parentheses-in-arabic-installation.png

Text above the progress bar looks like:

   (glibc-common (32/1302 CIBARA

Should look like:

   (glibc-common (32/1302) CIBARA
Comment 5 Mike FABIAN 2013-09-17 10:41:21 EDT
(In reply to Mike FABIAN from comment #4)
> Created attachment 798844 [details]
> more-wrong-parentheses-in-arabic-installation.png
> 
> Text above the progress bar looks like:
> 
>    (glibc-common (32/1302 CIBARA
> 
> Should look like:
> 
>    (glibc-common (32/1302) CIBARA

Sorry, without the ( at the leftof course:

    glibc-common (32/1302) CIBARA
Comment 6 Mike FABIAN 2015-04-21 05:06:19 EDT
I cannot tell whether this bug still exists on Fedora 22 Beta or not
because the places where the problem occured have currently no Arabic
translations on Fedora 22 Beta.
Comment 7 Fedora End Of Life 2015-05-29 05:24:44 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-06-29 08:23:31 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.